## libsigc++-3.0 3.4.0

=== CMakeLists.txt ===
# Copyright 2016, The libsigc++ Development Team
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

cmake_minimum_required (VERSION 3.2)

set (SIGCXX_MAJOR_VERSION 3)
set (SIGCXX_MINOR_VERSION 4)
set (SIGCXX_MICRO_VERSION 0)

set (SIGCXX_API_VERSION 3.0)
set (PACKAGE_VERSION ${SIGCXX_MAJOR_VERSION}.${SIGCXX_MINOR_VERSION}.${SIGCXX_MICRO_VERSION})
set (LIBSIGCPP_SOVERSION 0)

option (SIGCXX_DISABLE_DEPRECATED "Disable deprecated" OFF)

project (sigc++)

set( CMAKE_CXX_STANDARD 17 )

# Turn on warnings for MSVC. Remove the CMake default of /W3 because when you
# add /W4, MSVC will complain about two warning level flags. This default
# changed at CMake 3.15 (see 
# https://cmake.org/cmake/help/v3.15/policy/CMP0092.html#policy:CMP0092 for
# more details)
 if (MSVC AND CMAKE_VERSION VERSION_LESS "13.15")
    string(REGEX REPLACE "(^|[ \t])/W[0-9]($|[ \t])" "\\1\\2" CMAKE_C_FLAGS "${CMAKE_C_FLAGS}")
    string(REGEX REPLACE "(^|[ \t])/W[0-9]($|[ \t])" "\\1\\2" CMAKE_CXX_FLAGS
    "${CMAKE_CXX_FLAGS}")
endif()

# Add compiler warning flags & turn warnings into errors
add_compile_options(
    "$<$<OR:$<CXX_COMPILER_ID:MSVC>,$<C_COMPILER_ID:MSVC>>:/W4;/WX>"
    "$<$<OR:$<CXX_COMPILER_ID:GNU>,$<C_COMPILER_ID:GNU>>:-pedantic;-Wall;-Wextra;-Wsuggest-override;-Wshadow;-Wzero-as-null-pointer-constant;-Wformat-security>"
    "$<$<OR:$<CXX_COMPILER_ID:Clang>,$<C_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:AppleClang>,$<C_COMPILER_ID:AppleClang>>:-pedantic;-Wall;-Wextra;-Wshadow;-Wzero-as-null-pointer-constant;-Wformat-security>"
)

set (PROJECT_SOURCE_DIR "${sigc++_SOURCE_DIR}/sigc++")

include_directories (${sigc++_SOURCE_DIR})
include_directories (${sigc++_BINARY_DIR})

configure_file (sigc++config.h.cmake sigc++config.h)

set (prefix ${CMAKE_INSTALL_PREFIX})
set (exec_prefix \${prefix})
set (libdir \${exec_prefix}/lib)
set (datarootdir \${prefix})
set (datadir \${datarootdir})
set (includedir \${prefix}/include)
set (top_srcdir .)
configure_file (sigc++.pc.in sigc++-${SIGCXX_API_VERSION}.pc @ONLY)
configure_file (sigc++-uninstalled.pc.in sigc++-${SIGCXX_API_VERSION}-uninstalled.pc @ONLY)

configure_file(
	"${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
	"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
 	IMMEDIATE @ONLY)

add_custom_target(uninstall
	COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)


install (FILES
			"${CMAKE_CURRENT_BINARY_DIR}/sigc++config.h"
		DESTINATION
			"${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}-${SIGCXX_API_VERSION}/include")

install (FILES 
			"${CMAKE_CURRENT_BINARY_DIR}/sigc++-${SIGCXX_API_VERSION}.pc"
		DESTINATION 
			"${CMAKE_INSTALL_PREFIX}/lib/pkgconfig")

enable_testing()



add_subdirectory (sigc++)
add_subdirectory (examples)
add_subdirectory (tests)


set (PROJECT_CMAKE_NAME		"${PROJECT_NAME}-3")
set (VERSION_CONFIG     	"${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_CMAKE_NAME}ConfigVersion.cmake")
set (LIBSIGCXX_INCLUDE_DIR	"${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}-${SIGCXX_API_VERSION}/include")
set (PROJECT_CONFIG     	"${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_CMAKE_NAME}Config.cmake")
set (CONFIG_INSTALL_DIR 	"lib/cmake/${PROJECT_CMAKE_NAME}")
set (TARGETS_EXPORT_NAME    "${PROJECT_CMAKE_NAME}Targets")
include (CMakePackageConfigHelpers)

write_basic_package_version_file (
    "${VERSION_CONFIG}"
    VERSION ${PACKAGE_VERSION}
    COMPATIBILITY SameMajorVersion
)

configure_package_config_file (
    "cmake/sigc++-3Config.cmake.in"
    "${PROJECT_CONFIG}"
    INSTALL_DESTINATION "${CONFIG_INSTALL_DIR}"
)

install (
    FILES "${PROJECT_CONFIG}" "${VERSION_CONFIG}"
    DESTINATION "${CONFIG_INSTALL_DIR}"
)

install (
    EXPORT "${TARGETS_EXPORT_NAME}"
    DESTINATION "${CONFIG_INSTALL_DIR}"
)

=== examples/CMakeLists.txt ===
# Copyright 2016, The libsigc++ Development Team
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

function (add_sigcpp_example EXAMPLE_SOURCE_FILE)
	get_filename_component (example_name ${EXAMPLE_SOURCE_FILE} NAME_WE)
	add_executable (${example_name} ${EXAMPLE_SOURCE_FILE})
	target_link_libraries (${example_name} sigc-${SIGCXX_API_VERSION})
endfunction (add_sigcpp_example)

add_sigcpp_example (hello_world.cc)
add_sigcpp_example (member_method.cc)

=== sigc++/CMakeLists.txt ===
# Copyright 2016, The libsigc++ Development Team
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

set (SOURCE_FILES
	connection.cc
	signal_base.cc
	trackable.cc
	functors/slot_base.cc
)

set (SIGCPP_LIB_NAME sigc-${SIGCXX_API_VERSION})

add_library(${SIGCPP_LIB_NAME} SHARED ${SOURCE_FILES})

set_property (TARGET ${SIGCPP_LIB_NAME} PROPERTY VERSION ${PACKAGE_VERSION})
set_property(TARGET ${SIGCPP_LIB_NAME}  PROPERTY SOVERSION ${LIBSIGCPP_SOVERSION})
target_compile_definitions( ${SIGCPP_LIB_NAME} PRIVATE -DSIGC_BUILD )

set (INCLUDE_INSTALL_DIR "include/${PROJECT_NAME}-${SIGCXX_API_VERSION}")

install (
	DIRECTORY "${PROJECT_SOURCE_DIR}"
	DESTINATION "${INCLUDE_INSTALL_DIR}"
	FILES_MATCHING PATTERN "*.h"
)

set (PROJECT_CMAKE_NAME ${PROJECT_NAME}-3)

install (
    TARGETS ${SIGCPP_LIB_NAME}
    EXPORT "${PROJECT_CMAKE_NAME}Targets"
    LIBRARY DESTINATION "lib"
    INCLUDES DESTINATION "${INCLUDE_INSTALL_DIR}"
)

=== tests/CMakeLists.txt ===
# Copyright 2016, The libsigc++ Development Team
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

enable_testing ()

set (TEST_SOURCE_FILES
  test_accum_iter.cc
  test_accumulated.cc
  test_bind_as_slot.cc
  test_bind.cc
  test_bind_ref.cc
  test_bind_refptr.cc
  test_bind_return.cc
  test_compose.cc
  test_connection.cc
  test_copy_invalid_slot.cc
  test_cpp11_lambda.cc
  test_custom.cc
  test_disconnect.cc
  test_disconnect_during_emit.cc
  test_exception_catch.cc
  test_hide.cc
  test_limit_reference.cc
  test_member_method_trait.cc
  test_mem_fun.cc
  test_ptr_fun.cc
  test_retype.cc
  test_retype_return.cc
  test_rvalue_ref.cc
  test_signal.cc
  test_signal_move.cc
  test_size.cc
  test_slot.cc
  test_slot_disconnect.cc
  test_slot_move.cc
  test_trackable.cc
  test_trackable_move.cc
  test_track_obj.cc
  test_tuple_cdr.cc
  test_tuple_end.cc
  test_tuple_for_each.cc
  test_tuple_start.cc
  test_tuple_transform_each.cc
  test_visit_each.cc
  test_visit_each_trackable.cc
  test_weak_raw_ptr.cc)

function (add_sigcpp_test TEST_SOURCE_FILE)
	get_filename_component (test_name ${TEST_SOURCE_FILE} NAME_WE)
	add_executable (${test_name} ${TEST_SOURCE_FILE} testutilities.cc)
	target_link_libraries (${test_name} sigc-${SIGCXX_API_VERSION})
        add_test (NAME ${test_name}
          # Help MSVC to find the library that the tests should link against.
          COMMAND ${CMAKE_COMMAND} -E env "PATH=$<TARGET_FILE_DIR:sigc-${SIGCXX_API_VERSION}>;$ENV{PATH}" $<TARGET_FILE:${test_name}>)

  if (MSVC AND test_name MATCHES "^(test_retype_return|test_signal)$")
    target_compile_options(${test_name} PRIVATE "/wd4244")
  endif()
endfunction (add_sigcpp_test)

foreach (test_file ${TEST_SOURCE_FILES})
	add_sigcpp_test (${test_file})
endforeach()

## libsigc++-3.0 3.2.0

=== debian/changelog ===
libsigc++-3.0 (3.2.0-3) unstable; urgency=medium

  * Add missing build-dependency docbook-xml, docbook-xsl.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Jun 2022 14:37:06 -0400

libsigc++-3.0 (3.2.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Jun 2022 12:05:53 -0400

libsigc++-3.0 (3.2.0-1) unstable; urgency=medium

  * Initial packaging of 3.x branch.
  * debian/copyright: Update copyright information.

 -- Boyuan Yang <byang@debian.org>  Mon, 06 Jun 2022 14:36:46 -0400

libsigc++-2.0 (2.10.4-2) unstable; urgency=medium

  * Build-Depend on docbook-xml & docbook-xsl

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 11 Oct 2020 19:06:02 -0400

libsigc++-2.0 (2.10.4-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 11 Oct 2020 18:32:00 -0400

libsigc++-2.0 (2.10.2-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Watch download.gnome.org for new releases instead of Github

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Sep 2019 19:18:15 -0400

libsigc++-2.0 (2.10.1-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 10:23:32 -0500

libsigc++-2.0 (2.10.1-1) unstable; urgency=medium

  * New upstream release
  * Convert debian/copyright to 1.0 format
  * Build-Depend on doxygen, graphviz & xsltproc to build docs from source
  * Bump Standards-Version to 4.2.1
  * Use dh_missing --fail-missing
  * debian/libsigc++-2.0-0v5.symbols: Add Build-Depends-Package metadata
  * Drop 0002-Fix-GCC-8-FTFBS.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 30 Oct 2018 23:15:31 -0400

libsigc++-2.0 (2.10.0-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Fix FTBFS with GCC 8 (Closes: #897895)

 -- Jonathan McDowell <noodles@earth.li>  Wed, 08 Aug 2018 13:54:06 +0100

libsigc++-2.0 (2.10.0-2) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add debian/gbp.conf
  * Update Homepage and debian/watch for migration to GitHub
  * Build with gnome-pkg-tools
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 14 Mar 2018 18:23:16 -0400

libsigc++-2.0 (2.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on mm-common to (>= 0.9.10).
  * Mark libsigc++-2.0-doc as Multi-Arch: foreign.

 -- Michael Biebl <biebl@debian.org>  Thu, 22 Sep 2016 01:08:05 +0200

libsigc++-2.0 (2.9.3-1) unstable; urgency=medium

  * New upstream development release.
  * Bump debhelper compat level to 10 for autoreconf support.
  * Simplify debian/rules.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Sep 2016 00:11:36 +0200

libsigc++-2.0 (2.8.0-2) unstable; urgency=medium

  * Stop enforcing c++11 mode via pkg-config. This is no longer necessary with
    GCC 6 as default compiler. (Closes: #802786)
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Thu, 04 Aug 2016 21:52:14 +0200

libsigc++-2.0 (2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.
  * Bump Standards-Version to 3.9.7.
  * Rebase patches.

 -- Michael Biebl <biebl@debian.org>  Mon, 21 Mar 2016 07:41:46 +0100

libsigc++-2.0 (2.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 16 Nov 2015 04:51:56 +0100

libsigc++-2.0 (2.6.1-3) unstable; urgency=medium

  * Use https:// for Vcs-Browser.
  * Enforce c++11 mode via pkg-config.
    libsigc++2.0 uses C++11 features in the header files it exports.
    As long  as GCC does not yet default to C++11, return -std=c++11 via
    pkg-config --cflags. Otherwise packages using those headers will fail to
    build. This is a temporary workaround to minimise the breakage caused by
    this change. It should be dropped again once the default is switched in
    GCC. (Closes: #800399)

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Oct 2015 22:33:26 +0200

libsigc++-2.0 (2.6.1-2) unstable; urgency=medium

  * Wrap dependencies.
  * Drop unnecessary configure switches.
  * Drop libtool .la files.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Oct 2015 14:24:46 +0200

libsigc++-2.0 (2.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on mm-common to (>= 0.9.8) as per configure.ac.
  * Drop obsolete Build-Conflicts.
  * Update symbols.

 -- Michael Biebl <biebl@debian.org>  Sun, 27 Sep 2015 16:26:49 +0200

libsigc++-2.0 (2.4.1-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Rename libsigc++-2.0-0c2a to libsigc++-2.0-0v5. Closes: #791170.
  * Add Conflict/Replaces to the old library package.
  * Update symbols file for GCC 5.

  [ Michael Biebl ]
  * Add myself to Uploaders.

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Aug 2015 10:22:08 +0200

libsigc++-2.0 (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-Git and Vcs-Browser to use the canonical Alioth URLs.
  * Update Vcs-Browser URL to use cgit and https.

 -- Michael Biebl <biebl@debian.org>  Thu, 07 May 2015 02:00:17 +0200

libsigc++-2.0 (2.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #760797)
  * Drop old and no longer needed Conflicts/Replaces.
  * Drop versioned Build-Depends on g++ (>= 3:3.2.0). Even oldstable has a
    more recent version.
  * Run wrap-and-sort.
  * Bump Build-Depends on mm-common to (>= 0.9.7) as per configure.ac.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Drop debian/clean, no longer necessary.
  * Rename symbols to libsigc++-2.0-0c2a.symbols to make it more obvious which
    package this file belongs to.
  * Update symbols file, add new symbols.



=== debian/control ===
Source: libsigc++-3.0
Section: devel
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Uploaders:
 Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 docbook-xml <!nodoc>,
 docbook-xsl <!nodoc>,
 docbook5-xml <!nodoc>,
 doxygen <!nodoc>,
 graphviz <!nodoc>,
 libxml2-utils <!nocheck>,
 meson,
 mm-common,
 xsltproc <!nodoc>,
Standards-Version: 4.6.1
Homepage: https://libsigcplusplus.github.io/libsigcplusplus/
Vcs-Git: https://salsa.debian.org/debian/libsigcplusplus-3.0.git
Vcs-Browser: https://salsa.debian.org/debian/libsigcplusplus-3.0

Package: libsigc++-3.0-0
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Description: type-safe Signal Framework for C++ - runtime
 This library implements a full callback system for use in widget
 libraries, abstract interfaces, and general programming. It provides
 the ability to connect an abstract callback to a class method,
 function, or function object, and contains adaptor classes for the
 connection of dissimilar callbacks.
 .
 These are the runtime files for libsigc++, needed only if you wish to
 run software which depends on it.

Package: libsigc++-3.0-dev
Section: libdevel
Depends:
 libsigc++-3.0-0 (= ${binary:Version}),
 pkg-config,
 ${misc:Depends},
Suggests:
 libsigc++-3.0-doc,
Architecture: any
Multi-Arch: same
Description: type-safe Signal Framework for C++ - development files
 This library implements a full callback system for use in widget
 libraries, abstract interfaces, and general programming. It provides
 the ability to connect an abstract callback to a class method,
 function, or function object, and contains adaptor classes for the
 connection of dissimilar callbacks.
 .
 These are the development files for libsigc++, needed only if you
 wish to write software which uses it.

Package: libsigc++-3.0-doc
Section: doc
Depends:
 ${misc:Depends},
Architecture: all
Multi-Arch: foreign
Description: type-safe Signal Framework for C++ - reference documentation
 This library implements a full callback system for use in widget
 libraries, abstract interfaces, and general programming. It provides
 the ability to connect an abstract callback to a class method,
 function, or function object, and contains adaptor classes for the
 connection of dissimilar callbacks.
 .
 This package contains the reference documentation for libsigc++,
 needed only if you wish to write software which uses it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@ --buildsystem=meson --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Dmaintainer-mode=true \
	    -Dbuild-documentation=true \
	    -Dwarnings=max \
	    $(NULL)

# https://lintian.debian.org/tags/useless-autogenerated-doxygen-file.html
execute_after_dh_install-indep:
	dh_doxygen

override_dh_compress:
	dh_compress -X.tag

=== debian/watch ===
version=4
https://download.gnome.org/sources/libsigc++/(3\.\d)/ \
 libsigc%2B%2B@ANY_VERSION@\.tar\.xz

## libsigc++-3.0 3.4.0

=== debian/changelog ===
libsigc++-3.0 (3.4.0-7) unstable; urgency=medium

  * Add superficial autopkgtest

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 03 Jul 2023 21:35:05 -0400

libsigc++-3.0 (3.4.0-6) unstable; urgency=medium

  * Mark symbols as optional not seen when built with LTO

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 May 2023 21:12:20 -0400

libsigc++-3.0 (3.4.0-5) unstable; urgency=medium

  * Update symbols file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 May 2023 12:30:11 -0400

libsigc++-3.0 (3.4.0-4) unstable; urgency=medium

  * Add an autopkgtest to run upstream build tests
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 May 2023 12:10:11 -0400

libsigc++-3.0 (3.4.0-3) experimental; urgency=medium

  * debian/copyright: fix trivial redundant globbing noticed by lintian

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 May 2023 12:15:49 -0400

libsigc++-3.0 (3.4.0-2) experimental; urgency=medium

  [ Jeremy Bicha ]
  * Add debian/upstream/metadata
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Update standards version to 4.6.2, no changes needed.

  [ Steve Langasek ]
  * debian/libsigc++-3.0-0.symbols: Mark symbols as optional
    not seen when built with LTO (Closes: #1033665)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 29 Mar 2023 16:35:34 -0400

libsigc++-3.0 (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Disable custom config that blocks functionality of
    "gbp import-orig".

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Jan 2023 11:13:47 -0500

libsigc++-3.0 (3.2.0-5) unstable; urgency=medium

  * Team upload.
  * Use pkgkde_symbolshelper to handle library symbols.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jun 2022 12:12:02 -0400

libsigc++-3.0 (3.2.0-4) unstable; urgency=medium

  * Rebase with libsigc++-2.0 packaging
  * Add debian/libsigc++-3.0-0.symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Jun 2022 15:45:39 -0400

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,35 @@
+# This file is autogenerated. DO NOT EDIT!
+#
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
 Source: libsigc++-3.0
 Section: devel
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
-Uploaders:
- Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>,
-Build-Depends:
- debhelper-compat (= 13),
- docbook-xml <!nodoc>,
- docbook-xsl <!nodoc>,
- docbook5-xml <!nodoc>,
- doxygen <!nodoc>,
- graphviz <!nodoc>,
- libxml2-utils <!nocheck>,
- meson,
- mm-common,
- xsltproc <!nodoc>,
-Standards-Version: 4.6.1
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>,
+           Boyuan Yang <byang@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gnome,
+               docbook-xml <!nodoc>,
+               docbook-xsl <!nodoc>,
+               doxygen <!nodoc>,
+               graphviz <!nodoc>,
+               libxml2-utils <!nocheck>,
+               meson (>= 0.55.0),
+               mm-common,
+               pkg-kde-tools,
+               python3-distutils,
+               xsltproc <!nodoc>,
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/gnome-team/libsigcplusplus-3.0.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/libsigcplusplus-3.0
 Homepage: https://libsigcplusplus.github.io/libsigcplusplus/
-Vcs-Git: https://salsa.debian.org/debian/libsigcplusplus-3.0.git
-Vcs-Browser: https://salsa.debian.org/debian/libsigcplusplus-3.0
 
 Package: libsigc++-3.0-0
 Section: libs
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Architecture: any
 Multi-Arch: same
 Description: type-safe Signal Framework for C++ - runtime
@@ -41,12 +44,10 @@
 
 Package: libsigc++-3.0-dev
 Section: libdevel
-Depends:
- libsigc++-3.0-0 (= ${binary:Version}),
- pkg-config,
- ${misc:Depends},
-Suggests:
- libsigc++-3.0-doc,
+Depends: libsigc++-3.0-0 (= ${binary:Version}),
+         pkg-config,
+         ${misc:Depends}
+Suggests: libsigc++-3.0-doc
 Architecture: any
 Multi-Arch: same
 Description: type-safe Signal Framework for C++ - development files
@@ -61,8 +62,7 @@
 
 Package: libsigc++-3.0-doc
 Section: doc
-Depends:
- ${misc:Depends},
+Depends: ${misc:Depends}
 Architecture: all
 Multi-Arch: foreign
 Description: type-safe Signal Framework for C++ - reference documentation

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@ --buildsystem=meson --without autoreconf --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dmaintainer-mode=true \
		-Dwarnings=max \
		-Dbuild-documentation=true

# https://lintian.debian.org/tags/useless-autogenerated-doxygen-file.html
execute_after_dh_install-indep:
	dh_doxygen

override_dh_compress:
	dh_compress -X.tag

## libsigc++-3.0 3.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
 set (SIGCXX_API_VERSION 3.0)
 set (PACKAGE_VERSION ${SIGCXX_MAJOR_VERSION}.${SIGCXX_MINOR_VERSION}.${SIGCXX_MICRO_VERSION})
 set (LIBSIGCPP_SOVERSION 0)
+set (MSVC_STATIC_CXXFLAG "")
 
 option (SIGCXX_DISABLE_DEPRECATED "Disable deprecated" OFF)
 
@@ -65,6 +66,7 @@
 configure_file (sigc++.pc.in sigc++-${SIGCXX_API_VERSION}.pc @ONLY)
 configure_file (sigc++-uninstalled.pc.in sigc++-${SIGCXX_API_VERSION}-uninstalled.pc @ONLY)
 
+if (NOT TARGET uninstall)
 configure_file(
 	"${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
 	"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
@@ -72,7 +74,7 @@
 
 add_custom_target(uninstall
 	COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
-
+endif()
 
 install (FILES
 			"${CMAKE_CURRENT_BINARY_DIR}/sigc++config.h"

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -40,6 +40,7 @@
   test_retype.cc
   test_retype_return.cc
   test_rvalue_ref.cc
+  test_scoped_connection.cc
   test_signal.cc
   test_signal_move.cc
   test_size.cc

=== debian/changelog ===
libsigc++-3.0 (3.6.0-2) unstable; urgency=medium

  * Drop unused Build-Depends: python3-distutils (Closes: #1065896)
  * Drop unused optional symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 Apr 2024 19:53:17 -0400

libsigc++-3.0 (3.6.0-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh-sequence-gnome
  * debian/*.symbols: Add new symbols
  * Opt into LTO (to minimize symbols file)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 12:52:48 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,9 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: libsigc++-3.0
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>,
-           Boyuan Yang <byang@debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Boyuan Yang <byang@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-gnome,
                docbook-xml <!nodoc>,
                docbook-xsl <!nodoc>,
                doxygen <!nodoc>,
@@ -18,7 +12,6 @@
                meson (>= 0.55.0),
                mm-common,
                pkg-kde-tools,
-               python3-distutils,
                xsltproc <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -45,7 +38,7 @@
 Package: libsigc++-3.0-dev
 Section: libdevel
 Depends: libsigc++-3.0-0 (= ${binary:Version}),
-         pkg-config,
+         pkgconf,
          ${misc:Depends}
 Suggests: libsigc++-3.0-doc
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

=== debian/tests/control ===
Tests: upstream
Depends: @, @builddeps@

Tests: build
Restrictions: superficial
Depends: g++, libsigc++-3.0-dev

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/libsigc++/cache.json \
	[\d.]+/libsigc\+\+@ANY_VERSION@@ARCHIVE_EXT@
